Bug 63588 - Can get only 60Hz refresh on i810
Can get only 60Hz refresh on i810
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-04-15 20:44 EDT by Ken Crandall
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-15 20:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Crandall 2002-04-15 20:44:50 EDT
Description of Problem: 
X only sets the i810 to 60Hz refresh on a Dell Optiplex GX110.  I know it is 
capable of higher refresh, b/c windows can do so. 
Version-Release number of selected component (if applicable): 
XFree86-4.2.0-6.52 on Skipjack-BETA2 
How Reproducible: 
See below... 
Steps to Reproduce: 
1. Run XConfigurator 
2. Select 'custom' monitor, and highest refresh rates possible 
3. Start X server 
Actual Results: 
Only get 60Hz refresh. 
Expected Results: 
Additional Information:
Comment 1 Mike A. Harris 2002-04-16 00:27:43 EDT
XFree86 comes with a set of VESA GTF standard modelines which are used by all
hardware.  The X server and drivers automatically choose modelines with the
highest refresh rate for the monitor, and video mode, etc.  However, this is
not necessarily the highest refresh rate the hardware can _do_, but rather
the highest refresh rate that X has built in for a given mode.

If you want to use refresh rates beyond what XFree86 has built in, you need
to generate the modelines yourself and add them to the X config file, the
details of which are beyond the scope of what bugzilla is for.

You can try http://xtimings.sf.net for creating new modelines.

For the record, Windows can do higher refresh rates because it is not
something to do with the operating system, but with the video drivers, and
the Windows video drivers come with higher refresh rate modelines than
X does.

For further help, please consult xpert@xfree86.org mailing list.

Good luck.

Note You need to log in before you can comment on or make changes to this bug.